Bug 728825 - fig2dev dies on double-close when ghostscript fails
Summary: fig2dev dies on double-close when ghostscript fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: transfig
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9b987844f4e72e3e4833a839126...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 03:12 UTC by Daiki Ueno
Modified: 2011-08-22 15:05 UTC (History)
2 users (show)

Fixed In Version: transfig-3.2.5d-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-18 02:35:32 UTC


Attachments (Terms of Use)
attempt to fix it (1010 bytes, patch)
2011-08-08 09:51 UTC, Kamil Dudka
no flags Details | Diff

Description Daiki Ueno 2011-08-08 03:12:36 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        fig2dev -L pdf libgcrypt-modules.fig libgcrypt-modules.pdf
component:      transfig
crash_function: __GI_raise
executable:     /usr/bin/fig2dev
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        transfig-3.2.5d-2.fc15
reason:         Process /usr/bin/fig2dev was killed by signal 6 (SIGABRT)
time:           Mon Aug  8 11:40:42 2011
uid:            500
username:       ueno
var_log_messages: 

backtrace:
:[New LWP 9147]
:Core was generated by `fig2dev -L pdf libgcrypt-modules.fig libgcrypt-modules.pdf'.
:Program terminated with signal 6, Aborted.
:#0  0x0000003b5a0352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
:
:Thread 1 (LWP 9147):
:#0  0x0000003b5a0352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = <optimized out>
:        selftid = <optimized out>
:#1  0x0000003b5a036beb in __GI_abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x4, sa_sigaction = 0x4}, sa_mask = {__val = {5, 140733663544327, 7, 254914440925, 3, 140733663540586, 6, 254914440929, 2, 140733663540606, 2, 254914434300, 1, 254914440925, 3, 140733663540582}}, sa_flags = 10, sa_restorer = 0x3b5a15aee1}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x0000003b5a070bce in __libc_message (do_abort=2, fmt=0x3b5a15c2a8 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
:        ap = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fff1c05fee0, reg_save_area = 0x7fff1c05fdf0}}
:        ap_copy = {{gp_offset = 16, fp_offset = 48, overflow_arg_area = 0x7fff1c05fee0, reg_save_area = 0x7fff1c05fdf0}}
:        fd = 3
:        on_2 = <optimized out>
:        list = <optimized out>
:        nlist = <optimized out>
:        cp = <optimized out>
:        written = <optimized out>
:#3  0x0000003b5a07703a in malloc_printerr (action=3, str=0x3b5a15c2f8 "double free or corruption (!prev)", ptr=<optimized out>) at malloc.c:6283
:        buf = "0000000001f91010"
:        cp = <optimized out>
:#4  0x0000003b5a066e45 in _IO_new_fclose (fp=0x1f91010) at iofclose.c:88
:        status = -1
:#5  0x00000000004028a1 in main (argc=<optimized out>, argv=<optimized out>) at fig2dev.c:450
:        objects = {nwcorner = {x = 0, y = 0}, secorner = {x = 0, y = 0}, lines = 0x0, ellipses = 0x0, splines = 0x0, texts = 0x0, arcs = 0x0, compounds = 0x1f91250, comments = 0x0, next = 0x0}
:        status = -1
:From                To                  Syms Read   Shared Object Library
:0x0000003387e04890  0x0000003387e1eb8c  Yes         /usr/lib64/libpng12.so.0.46.0
:0x0000003b5b801e70  0x0000003b5b80e67c  Yes         /lib64/libz.so.1.2.5
:0x000000362de02f90  0x000000362de0e36c  Yes         /usr/lib64/libXpm.so.4.11.0
:0x000000362661dce0  0x00000036266a97ec  Yes         /usr/lib64/libX11.so.6.3.0
:0x0000003b5a803ea0  0x0000003b5a843e9c  Yes         /lib64/libm-2.14.so
:0x0000003b5a01ece0  0x0000003b5a14304c  Yes         /lib64/libc-2.14.so
:0x0000003b5d808660  0x0000003b5d813b9c  Yes         /usr/lib64/libxcb.so.1.1.0
:0x0000003b5ac00de0  0x0000003b5ac0191c  Yes         /lib64/libdl-2.14.so
:0x00000036256028a0  0x00000036256120cc  Yes         /lib64/libgcc_s-4.6.0-20110603.so.1
:0x0000003b59c00b20  0x0000003b59c18caa  Yes         /lib64/ld-2.14.so
:0x0000003b5d000dd0  0x0000003b5d001b2c  Yes         /usr/lib64/libXau.so.6.0.0
:0x00007f937073d170  0x00007f93707448ac  Yes         /lib64/libnss_files-2.14.so
:0x00007fff1c1c9700  0x00007fff1c1c9a7d  Yes         /lib/modules/2.6.40-4.fc15.x86_64/vdso/vdso.so
:$1 = 0x7f93709a7000 ""
:No symbol "__glib_assert_msg" in current context.
:rax            0x0	0
:rbx            0x0	0
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0x23bb	9147
:rdi            0x23bb	9147
:rbp            0x7fff1c05fed0	0x7fff1c05fed0
:rsp            0x7fff1c05f498	0x7fff1c05f498
:r8             0x3b5a153140	254914408768
:r9             0x4002f8	4195064
:r10            0x8	8
:r11            0x246	582
:r12            0x4	4
:r13            0x5a	90
:r14            0x7fff1c05f640	140733663540800
:r15            0x3	3
:rip            0x3b5a0352d5	0x3b5a0352d5 <__GI_raise+53>
:eflags         0x246	[ PF ZF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __GI_raise:
:   0x0000003b5a0352a0 <+0>:	mov    %fs:0x2d4,%eax
:   0x0000003b5a0352a8 <+8>:	mov    %fs:0x2d0,%esi
:   0x0000003b5a0352b0 <+16>:	test   %esi,%esi
:   0x0000003b5a0352b2 <+18>:	jne    0x3b5a0352e0 <__GI_raise+64>
:   0x0000003b5a0352b4 <+20>:	mov    $0xba,%eax
:   0x0000003b5a0352b9 <+25>:	syscall 
:   0x0000003b5a0352bb <+27>:	mov    %eax,%esi
:   0x0000003b5a0352bd <+29>:	mov    %eax,%fs:0x2d0
:   0x0000003b5a0352c5 <+37>:	movslq %edi,%rdx
:   0x0000003b5a0352c8 <+40>:	movslq %esi,%rsi
:   0x0000003b5a0352cb <+43>:	movslq %eax,%rdi
:   0x0000003b5a0352ce <+46>:	mov    $0xea,%eax
:   0x0000003b5a0352d3 <+51>:	syscall 
:=> 0x0000003b5a0352d5 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x0000003b5a0352db <+59>:	ja     0x3b5a0352ef <__GI_raise+79>
:   0x0000003b5a0352dd <+61>:	repz retq 
:   0x0000003b5a0352df <+63>:	nop
:   0x0000003b5a0352e0 <+64>:	test   %eax,%eax
:   0x0000003b5a0352e2 <+66>:	jg     0x3b5a0352c5 <__GI_raise+37>
:   0x0000003b5a0352e4 <+68>:	test   $0x7fffffff,%eax
:   0x0000003b5a0352e9 <+73>:	je     0x3b5a035300 <__GI_raise+96>
:   0x0000003b5a0352eb <+75>:	neg    %eax
:   0x0000003b5a0352ed <+77>:	jmp    0x3b5a0352c5 <__GI_raise+37>
:   0x0000003b5a0352ef <+79>:	mov    0x35ccb2(%rip),%rdx        # 0x3b5a391fa8
:   0x0000003b5a0352f6 <+86>:	neg    %eax
:   0x0000003b5a0352f8 <+88>:	mov    %eax,%fs:(%rdx)
:   0x0000003b5a0352fb <+91>:	or     $0xffffffffffffffff,%rax
:   0x0000003b5a0352ff <+95>:	retq   
:   0x0000003b5a035300 <+96>:	mov    %esi,%eax
:   0x0000003b5a035302 <+98>:	jmp    0x3b5a0352c5 <__GI_raise+37>
:End of assembler dump.

build_ids:
:381b4d1a68920ac7d5ce745f1eb2b324bb90dc03
:1c6a95451ee19617be5abea3d121f0226d21ddda
:020ea634b00e306a5ba5982d96f7f55c560bee88
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:d259f77e246b7dde5797633a40e4a655375f9b97
:4c842320387ff7f6f91b7842b223c16518be909f
:ebb6702a16d91f29f76e61e919170eba439029c5
:f77561c1910d48f6d02230d9837b95851d06a761
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:b337982f7a419e7dafb64fcbb0e1166bb5796071
:bb442681cac85880538d218a90e4969a57ca6888
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:9c7124f8172c2f993351b55d0e5db3439f9b1bb7

comment:
:1. download libgcrypt-modules.fig
:
:http://git.gnupg.org/cgi-bin/gitweb.cgi?p=libgcrypt.git;a=blob;f=doc/libgcrypt-modules.fig;h=ea3d05372adfeb19a932ec67420b69c57e69d647;hb=HEAD
:
:2. fig2dev -L pdf libgcrypt-modules.fig libgcrypt-modules.pdf
:
:It seems that a FILE pointer "tfp" is closed twice in fig2dev/fig2dev.c:main and fig2dev/dev/genpdf.c:genpdf_start.

comment~:
:1. download libgcrypt-modules.fig
:
:http://git.gnupg.org/cgi-bin/gitweb.cgi?p=libgcrypt.git;a=blob;f=doc/libgcrypt-modules.fig;h=ea3d05372adfeb19a932ec67420b69c57e69d647;hb=HEAD
:
:2. fig2dev -L pdf libgcrypt-modules.fig libgcrypt-modules.pdf

dso_list:
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1309927571
:/lib64/libm-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309769887
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309769887
:/usr/lib64/libXpm.so.4.11.0 libXpm-3.5.8-3.fc15.x86_64 (Fedora Project) 1302772156
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309769887
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1311060453
:/usr/bin/fig2dev transfig-1:3.2.5d-2.fc15.x86_64 (Fedora Project) 1302774599
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1303093853
:/lib64/libnss_files-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309769887
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309769887
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1302772147
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1302772148
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1302772132

environ:
:QT_IM_MODULE=ibus
:SSH_AUTH_SOCK=/tmp/keyring-Z0uDti/ssh
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:DISPLAY=:0
:SHLVL=1
:LOGNAME=ueno
:PWD=/home/ueno/devel/libgcrypt/doc
:GNOME_KEYRING_PID=1715
:CVS_RSH=ssh
:IMSETTINGS_MODULE=IBus
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1723,unix/unix:/tmp/.ICE-unix/1723
:XAUTHORITY=/var/run/gdm/auth-for-ueno-Lfbx0D/database
:QTDIR=/usr/lib64/qt-3.3
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_SESSION_ID=1
:DESKTOP_SESSION=gnome
:G_BROKEN_FILENAMES=1
:GDMSESSION=gnome
:GNOME_KEYRING_CONTROL=/tmp/keyring-Z0uDti
:USERNAME=ueno
:WINDOWPATH=1
:COLORTERM=gnome-terminal
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:ORBIT_SOCKETDIR=/tmp/orbit-ueno
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-WTnEK5ysxP,guid=6fae2bbf005d3268bd2d64ac0000009a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:HISTCONTROL=ignoredups
:MAIL=/var/spool/mail/ueno
:_=/usr/bin/fig2dev
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:XDG_SESSION_COOKIE=56f1e83c5237a280f380be5800000013-1312764370.193117-283341680
:GDM_LANG=
:HOSTNAME=localhost.localdomain
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/usr/src/debug
:WINDOWID=39846027
:TERM=xterm
:HISTSIZE=2000
:QTLIB=/usr/lib64/qt-3.3/lib
:KDEDIRS=/usr
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/home/ueno/bin:/usr/local/sbin:/usr/sbin:/sbin
:SHELL=/bin/zsh
:HOME=/home/ueno
:USER=ueno
:XMODIFIERS=@im=ibus
:XDG_RUNTIME_DIR=/run/user/ueno
:QTINC=/usr/lib64/qt-3.3/include
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:GPG_AGENT_INFO=/tmp/keyring-Z0uDti/gpg:0:1
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:
:EMAIL_ADDR=ueno@unixuser.org
:HISTFILE=/home/ueno/.bash_history
:SAVEHIST=2000
:PYTHONSTARTUP=/home/ueno/.pythonstartup
:'QUILT_REFRESH_ARGS=-p ab --no-timestamps --no-index'
:CLASSPATH=.:/home/ueno/source/java

maps:
:00400000-00479000 r-xp 00000000 fd:00 1257445                            /usr/bin/fig2dev
:00679000-00687000 rw-p 00079000 fd:00 1257445                            /usr/bin/fig2dev
:00687000-0069b000 rw-p 00000000 00:00 0 
:00886000-00888000 rw-p 00086000 fd:00 1257445                            /usr/bin/fig2dev
:01f91000-01fb2000 rw-p 00000000 00:00 0                                  [heap]
:3387e00000-3387e26000 r-xp 00000000 fd:00 1186254                        /usr/lib64/libpng12.so.0.46.0
:3387e26000-3388026000 ---p 00026000 fd:00 1186254                        /usr/lib64/libpng12.so.0.46.0
:3388026000-3388027000 rw-p 00026000 fd:00 1186254                        /usr/lib64/libpng12.so.0.46.0
:3625600000-3625615000 r-xp 00000000 fd:00 131365                         /lib64/libgcc_s-4.6.0-20110603.so.1
:3625615000-3625814000 ---p 00015000 fd:00 131365                         /lib64/libgcc_s-4.6.0-20110603.so.1
:3625814000-3625815000 rw-p 00014000 fd:00 131365                         /lib64/libgcc_s-4.6.0-20110603.so.1
:3626600000-3626739000 r-xp 00000000 fd:00 1189152                        /usr/lib64/libX11.so.6.3.0
:3626739000-3626938000 ---p 00139000 fd:00 1189152                        /usr/lib64/libX11.so.6.3.0
:3626938000-362693e000 rw-p 00138000 fd:00 1189152                        /usr/lib64/libX11.so.6.3.0
:362de00000-362de10000 r-xp 00000000 fd:00 1249704                        /usr/lib64/libXpm.so.4.11.0
:362de10000-362e010000 ---p 00010000 fd:00 1249704                        /usr/lib64/libXpm.so.4.11.0
:362e010000-362e011000 rw-p 00010000 fd:00 1249704                        /usr/lib64/libXpm.so.4.11.0
:3b59c00000-3b59c1f000 r-xp 00000000 fd:00 131168                         /lib64/ld-2.14.so
:3b59e1e000-3b59e1f000 r--p 0001e000 fd:00 131168                         /lib64/ld-2.14.so
:3b59e1f000-3b59e20000 rw-p 0001f000 fd:00 131168                         /lib64/ld-2.14.so
:3b59e20000-3b59e21000 rw-p 00000000 00:00 0 
:3b5a000000-3b5a18f000 r-xp 00000000 fd:00 131562                         /lib64/libc-2.14.so
:3b5a18f000-3b5a38e000 ---p 0018f000 fd:00 131562                         /lib64/libc-2.14.so
:3b5a38e000-3b5a392000 r--p 0018e000 fd:00 131562                         /lib64/libc-2.14.so
:3b5a392000-3b5a393000 rw-p 00192000 fd:00 131562                         /lib64/libc-2.14.so
:3b5a393000-3b5a399000 rw-p 00000000 00:00 0 
:3b5a800000-3b5a883000 r-xp 00000000 fd:00 132395                         /lib64/libm-2.14.so
:3b5a883000-3b5aa82000 ---p 00083000 fd:00 132395                         /lib64/libm-2.14.so
:3b5aa82000-3b5aa83000 r--p 00082000 fd:00 132395                         /lib64/libm-2.14.so
:3b5aa83000-3b5aa84000 rw-p 00083000 fd:00 132395                         /lib64/libm-2.14.so
:3b5ac00000-3b5ac02000 r-xp 00000000 fd:00 133352                         /lib64/libdl-2.14.so
:3b5ac02000-3b5ae02000 ---p 00002000 fd:00 133352                         /lib64/libdl-2.14.so
:3b5ae02000-3b5ae03000 r--p 00002000 fd:00 133352                         /lib64/libdl-2.14.so
:3b5ae03000-3b5ae04000 rw-p 00003000 fd:00 133352                         /lib64/libdl-2.14.so
:3b5b800000-3b5b816000 r-xp 00000000 fd:00 133010                         /lib64/libz.so.1.2.5
:3b5b816000-3b5ba16000 ---p 00016000 fd:00 133010                         /lib64/libz.so.1.2.5
:3b5ba16000-3b5ba17000 rw-p 00016000 fd:00 133010                         /lib64/libz.so.1.2.5
:3b5d000000-3b5d002000 r-xp 00000000 fd:00 1191510                        /usr/lib64/libXau.so.6.0.0
:3b5d002000-3b5d202000 ---p 00002000 fd:00 1191510                        /usr/lib64/libXau.so.6.0.0
:3b5d202000-3b5d203000 rw-p 00002000 fd:00 1191510                        /usr/lib64/libXau.so.6.0.0
:3b5d800000-3b5d81b000 r-xp 00000000 fd:00 1200512                        /usr/lib64/libxcb.so.1.1.0
:3b5d81b000-3b5da1a000 ---p 0001b000 fd:00 1200512                        /usr/lib64/libxcb.so.1.1.0
:3b5da1a000-3b5da1b000 rw-p 0001a000 fd:00 1200512                        /usr/lib64/libxcb.so.1.1.0
:7f937073b000-7f9370747000 r-xp 00000000 fd:00 138800                     /lib64/libnss_files-2.14.so
:7f9370747000-7f9370946000 ---p 0000c000 fd:00 138800                     /lib64/libnss_files-2.14.so
:7f9370946000-7f9370947000 r--p 0000b000 fd:00 138800                     /lib64/libnss_files-2.14.so
:7f9370947000-7f9370948000 rw-p 0000c000 fd:00 138800                     /lib64/libnss_files-2.14.so
:7f9370975000-7f937097b000 rw-p 00000000 00:00 0 
:7f93709a7000-7f93709a9000 rw-p 00000000 00:00 0 
:7fff1c040000-7fff1c061000 rw-p 00000000 00:00 0                          [stack]
:7fff1c1c9000-7fff1c1ca000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

Comment 1 Kamil Dudka 2011-08-08 09:50:59 UTC
Thank you for the bug report.  If I follow your steps, it does not crash on my box.  Could you please try the attached patch if it solves the problem for you?

Comment 2 Kamil Dudka 2011-08-08 09:51:49 UTC
Created attachment 517154 [details]
attempt to fix it

Comment 3 Daiki Ueno 2011-08-09 01:03:55 UTC
(In reply to comment #1)
> Thank you for the bug report.  If I follow your steps, it does not crash on my
> box.  Could you please try the attached patch if it solves the problem for you?

Yes, your patch fixed the problem.  Thanks, Kamil.
As you see, ghostscript is failing here when fig2dev aborts with double-free.

Comment 4 Kamil Dudka 2011-08-09 06:12:31 UTC
Great, thanks for testing it.  I will send the patch upstream and release updated packages for Fedora.

Comment 5 Kamil Dudka 2011-08-09 09:34:53 UTC
fixed in transfig-3.2.5d-3.fc17

Comment 6 Fedora Update System 2011-08-09 09:37:09 UTC
transfig-3.2.5d-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/transfig-3.2.5d-3.fc15

Comment 7 Fedora Update System 2011-08-09 09:37:17 UTC
transfig-3.2.5d-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/transfig-3.2.5d-3.fc16

Comment 8 Fedora Update System 2011-08-09 21:52:55 UTC
Package transfig-3.2.5d-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing transfig-3.2.5d-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/transfig-3.2.5d-3.fc16
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-08-18 02:35:26 UTC
transfig-3.2.5d-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-08-22 15:05:07 UTC
transfig-3.2.5d-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.